import { CreateNodes, CreateNodesV2 } from '@nx/devkit';
export type WebDevServerTargetPluginOptions = {
    /** The name of the web-dev-server target. */
    targetName?: string;
};
export declare const webDevServerConfigFileNameGlob = "**/@(web-dev-server|wds).config.@(js|cjs|mjs)";
export declare const webDevServerCommand = "web-dev-server";
export declare const defaultOptions: {
    targetName: string;
};
export declare const createNodes: CreateNodes<WebDevServerTargetPluginOptions>;
export declare const createNodesV2: CreateNodesV2<WebDevServerTargetPluginOptions>;
